#include<bits/stdc++.h>
using namespace std;
int n,m,current_m,counter;//n = увеличаване на дължина на скокове, m = първоначална дължина на скок,current_m = сегашна дължина
int L;//L = дължина на пръчка
int main()
{
    cin>>L>>m>>n;
    current_m=m;
    for(L; L>0; L=L-current_m)
    {
        current_m = current_m + n;
        counter++;

    }
    counter++;
    cout<<counter;
    return 0;
}
